PingHandler (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Interface PingHandler

- All Known Implementing Classes:
    PingHandlerImpl

      public interface PingHandler

  Handles creating ping messages if necessary; incoming pong messages (ImHereMessages)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_PING_TIME_COUNT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.marketfactory.zerogc.api.RuThereMessage` | `createPingMessageIfNeeded()`
    `void` | `disable()`
    `void` | `enable()`
    `java.util.List<PingTime>` | `getLastPingTimes()` Returns the newest `MAX_PING_TIME_COUNT` entries collected since the last call of this method.
    `void` | `resynchronize()`
    `void` | `updateWith(com.marketfactory.zerogc.api.ImHereMessage incomingPing)`

- - ### Field Detail

    - #### MAX_PING_TIME_COUNT

          static final int MAX_PING_TIME_COUNT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### updateWith

          void updateWith(com.marketfactory.zerogc.api.ImHereMessage incomingPing)

    - #### disable

          void disable()

    - #### enable

          void enable()

    - #### createPingMessageIfNeeded

          com.marketfactory.zerogc.api.RuThereMessage createPingMessageIfNeeded()

    - #### resynchronize

          void resynchronize()

    - #### getLastPingTimes

          java.util.List<PingTime> getLastPingTimes()

      Returns the newest `MAX_PING_TIME_COUNT` entries collected since the last call of this method. This method is zero-gc. The returned list and the contained PingTimes are reused. This means you cannot hold a reference to any of these objects.
      This call is thread-safe.
      The list of PingTimes will have the oldest value at index 0.
      The returned list is immutable.
      Returns:
        received PingTime objects in order of oldest to most recent